=== debian/changelog ===
skrooge (1.9.3-1build2) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:34:23 +0000

skrooge (1.9.3-1build1) wily; urgency=medium

  * No-change rebuild against libqca2v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 10 Aug 2015 21:14:39 +0000

skrooge (1.9.3-1) unstable; urgency=low

  * New upstream release
  
  [ Cyril Brulebois ]
  * Specify a minimal version for libgrantlee-dev (>= 0.2), and
  libqjson-dev (>= 0.8.0) in Build-Depends, matching the contents
  of CMakeLists.txt (Closes: #746590)

  [ Mark Purcell ] 
  * Update Standards-Version: no further changes

 -- Mark Purcell <msp@debian.org>  Sat, 12 Jul 2014 14:54:44 +1000

skrooge (1.9.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Fri, 18 Apr 2014 10:57:18 +1000
