## skrooge 2.4.0

=== debian/changelog ===
skrooge (2.4.0-2build1) yakkety; urgency=medium

  * Rebuild against Qt 5.6. (uses private Qt ABI)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 01 Aug 2016 11:01:44 +0300

skrooge (2.4.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Jun 2016 10:15:20 +0200

skrooge (2.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release: (Closes: #776202, #802981)
    - switches from Qt4 (using QtWebKit) to Frameworks (Closes: #784527)
    - the skrooge_less.svgz and skrooge_more.svgz icons are open now
      (Closes: #800898)
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev, kdepimlibs5-dev, libkactivities-dev,
      libgrantlee-dev, libqca2-dev, libqjson-dev, and libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, qtbase5-private-dev,
      libqt5svg5-dev, qttools5-dev, libqt5webkit5-dev, qtdeclarative5-dev,
      libkf5activities-dev, libkf5archive-dev, libkf5completion-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5dbusaddons-dev, libkf5kdelibs4support-dev, kdoctools-dev,
      kgendesignerplugin, libkf5guiaddons-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5itemviews-dev, libkf5jobwidgets-dev,
      kio-dev, libkf5newstuff-dev, libkf5notifications-dev,
      libkf5notifyconfig-dev, libkf5parts-dev, libkf5runner-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, libgrantlee5-dev, and libqca-qt5-2-dev
  * Replace the libsqlite3-dev build dependency with libsqlcipher-dev.
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Disable the build and run of the tests for now, since it is not easy to
    run them.
  * Update install files.
  * Stop installing .so (unversioned) symlinks.
  * Update lintian overrides.
  * Update Vcs-Browser field.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Link in as-needed mode.
  * Update/simplify watch file.
  * Remove unused libboost-dev build dependency.
  * Update the runtime dependencies:
    - replace libqca2-plugin-ossl with libqca-qt5-2-plugins
    - replace libqt4-sql-sqlite with libqt5sql5-sqlite

 -- Pino Toscano <pino@debian.org>  Tue, 21 Jun 2016 20:49:40 +0200
