=== debian/control ===
--- 
+++ 
@@ -1,31 +1,59 @@
 Source: skrooge
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: cmake (>= 2.8.0),
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.4.4), kdepimlibs5-dev, libkactivities-dev,
-               xsltproc, libboost-dev,
-               libgrantlee-dev (>= 0.2),
-               libqjson-dev (>= 0.8.0),
+               extra-cmake-modules (>= 1.7.0),
+               qtbase5-dev (>= 5.3.0),
+               qtbase5-private-dev (>= 5.3.0),
+               libqt5svg5-dev (>= 5.3.0),
+               qttools5-dev (>= 5.3.0),
+               libqt5webkit5-dev (>= 5.3.0),
+               qtdeclarative5-dev (>= 5.3.0),
+               libkf5activities-dev,
+               libkf5archive-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev,
+               libkf5kdelibs4support-dev,
+               kdoctools-dev,
+               kgendesignerplugin,
+               libkf5guiaddons-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5itemviews-dev,
+               libkf5jobwidgets-dev,
+               kio-dev,
+               libkf5newstuff-dev,
+               libkf5notifications-dev,
+               libkf5notifyconfig-dev,
+               libkf5parts-dev,
+               libkf5runner-dev,
+               libkf5wallet-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+               libgrantlee5-dev (>= 0.5),
+               libqca-qt5-2-dev,
+               xsltproc,
                libofx-dev,
-               libqca2-dev,
-               libqtwebkit-dev,
-               libsqlite3-dev,
+               libsqlcipher-dev,
                pkg-config,
-               pkg-kde-tools (>= 0.9.0),
+               pkg-kde-tools (>= 0.15.16),
                shared-mime-info
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://skrooge.org/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/skrooge/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/skrooge/
 
 Package: skrooge
 Architecture: any
-Depends: libqca2-plugin-ossl,
-         libqt4-sql-sqlite,
+Depends: libqca-qt5-2-plugins,
+         libqt5sql5-sqlite,
          skrooge-common (= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
