## skrooge 2.5.0

=== debian/changelog ===
skrooge (2.5.0-1build1~1) zesty; urgency=medium

  * No change rebuild

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 04 Jan 2017 10:47:50 +0200

skrooge (2.5.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * New upstream release:
    - fixes German translation issue (Closes: #750573)
  * Replace deprecated build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Recommend poppler-utils, as pdftotext is used by the new PDF import plugin.
  * Depend on kio and kinit, to make sure that KIO slaves work.
    (Closes: #839609)

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 05 Nov 2016 11:46:50 -0300
